@charset "UTF-8";

/*!
Theme Name: Simplicity2 child
Template:   simplicity2
Version:    20161002
*/

/* Simplicity子テーマ用のスタイルを書く */

#main {
    border: none;
}

#site-title a {
    font-size: 30px;
    font-weight: bold;
    color: #333333;
}

#site-description {
    font-size: 15px;
    color: #555555;
}

@media screen and (max-width: 639px) {
    #site-title a {
        font-size: 23px;
    }
    
    #site-description {
        font-size: 13px;
    }
}

.ExceptionMessageBox {
    border: 1px solid indianred;
    padding: 10px;
    width: 100%;
    margin: 10px 0px 10px 0px;
}

.SuccessMessageBox {
    border: 1px solid blue;
    padding: 10px;
    width: 100%;
    margin: 10px 0px 10px 0px;
}

.OverviewsContainer {
    display: flex;
    flex-wrap: wrap;
}

.OverviewsBox {
    max-width: 400px;
    min-width: 300px;
    border: 1px solid grey;
    padding: 10px;
    margin: 10px;
}

.PagingNavigation {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    max-width: 500px;
    padding: 10px;
    margin: 10px auto;
}

.PagingNumberButtonBox {
    display: flex;
    justify-content: center;
    flex-grow: 7;
}

.FirstPageButtonBox {
    display: flex;
    justify-content: flex-start;
    flex-grow: 1;
}

.LastPageButtonBox {
    display: flex;
    justify-content: flex-end;
    flex-grow: 1;
}

.PageNumber {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 40px;
    height: 40px;
    padding: 5px;
    margin: 0px 5px;
    background-color: #cccccc;
    border-radius: 5px;
    font-size: 18px;
    font-weight: bold;
    color: #555555;
}

.PagingNavigation a {
    text-decoration: none;
}
    
.RoundButton {
    width: 30px;
    height: 30px;
    margin: 0px;
    border-radius: 30px;
}

.CurrentPageNumber {
    background-color: #d35400;
    color: white;
}

.PageNavigationSpacer {
    width: 25px;
    height: 25px;
    margin: 0px;
    background-color: transparent;
}

@media screen and (max-width: 500px) {
    .FirstPageButtonBox {
        display: none;
    }
    
    .LastPageButtonBox {
        display: none;
    }
}

.PageContainer {
    display: flex;
    flex-wrap: wrap;
    flex-direction: row-reverse;
    justify-content: center;
}

.PageHalfColumnRight {
    width: 40%;
    min-width: 300px;
}

.PageHalfColumnLeft {
    width: 60%;
    min-width: 300px;
}